public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rjb/
Date: Sun, 18 Apr 2021 07:57:32 +0000 (UTC)	[thread overview]
Message-ID: <1618732634.cac797460048000bb2e1a98f7a0b839783dfdfb4.graaff@gentoo> (raw)

commit:     cac797460048000bb2e1a98f7a0b839783dfdfb4
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 18 06:33:59 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Apr 18 07:57:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cac79746

dev-ruby/rjb: update java version

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/rjb/rjb-1.6.4-r1.ebuild | 73 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 73 insertions(+)

diff --git a/dev-ruby/rjb/rjb-1.6.4-r1.ebuild b/dev-ruby/rjb/rjb-1.6.4-r1.ebuild
new file mode 100644
index 00000000000..3f2663da48e
--- /dev/null
+++ b/dev-ruby/rjb/rjb-1.6.4-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="readme.txt ChangeLog"
+RUBY_FAKEGEM_TASK_TEST=""
+
+RUBY_FAKEGEM_EXTRAINSTALL="data"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit java-pkg-2 ruby-fakegem
+
+DESCRIPTION="Rjb is a Ruby-Java software bridge"
+HOMEPAGE="https://github.com/arton/rjb"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples hardened"
+
+DEPEND=">=virtual/jdk-1.8
+	hardened? ( sys-apps/paxctl )"
+RDEPEND=">=virtual/jre-1.8:*"
+
+pkg_setup() {
+	ruby-ng_pkg_setup
+	java-pkg-2_pkg_setup
+}
+
+all_ruby_prepare() {
+	# The console is not available for testing.
+	sed -i -e '/test_noarg_sinvoke/,/end/ s:^:#:' test/test.rb || die
+
+	# Avoid encoding tests since not all locales may be available.
+	sed -i -e '/test_kjconv/,/^  end/ s:^:#:' test/test.rb || die
+
+	# Fix build on openjdk-11
+	sed -i -e 's#javah -classpath ../data/rjb jp.co.infoseek.hp.arton.rjb.RBridge#javac -h . -classpath ../data/rjb RBridge.java#g' ext/extconf.rb || die
+}
+
+each_ruby_prepare() {
+	#dev-lang/ruby might need the "hardened" flag to enforce the following:
+	if use hardened; then
+		paxctl -v /usr/bin/ruby 2>/dev/null | grep MPROTECT | grep disabled || ewarn '!!! rjb will only work if ruby is MPROTECT disabled\n  please disable it if required using paxctl -m /usr/bin/ruby'
+	fi
+	# force compilation of class file for our JVM
+	rm -rf data
+}
+
+each_ruby_install() {
+	each_fakegem_install
+
+	if use examples; then
+		dodoc -r samples
+	fi
+}
+
+each_ruby_test() {
+	if use hardened; then
+		paxctl -v ${RUBY} 2>/dev/null | grep MPROTECT | grep -q disabled
+		if [ $? = 0 ]; then
+			${RUBY} -C test -I../lib:.:../ext test.rb || die
+		else
+			ewarn "${RUBY} has MPROTECT enabled, rjb will not work until it is disabled, skipping tests."
+		fi
+	else
+		${RUBY} -C test -I../lib:.:../ext test.rb || die
+	fi
+}


             reply	other threads:[~2021-04-18  7:57 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-18  7:57 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07  8:29 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rjb/ Hans de Graaff
2024-03-04 18:33 Rick Farina
2024-02-17  9:00 Hans de Graaff
2023-12-27 12:26 Hans de Graaff
2023-12-27 12:26 Hans de Graaff
2023-11-10  5:54 Hans de Graaff
2023-09-28  4:38 Hans de Graaff
2023-07-10 18:10 Hans de Graaff
2023-03-31  1:03 Sam James
2023-02-18  7:29 Hans de Graaff
2022-12-28  7:18 Hans de Graaff
2022-12-04 10:14 Hans de Graaff
2022-04-08  9:15 Hans de Graaff
2021-05-02  5:46 Hans de Graaff
2021-04-18  7:57 Hans de Graaff
2021-02-09  5:47 Hans de Graaff
2020-09-15  5:09 Hans de Graaff
2020-07-26  9:15 Hans de Graaff
2020-02-05  6:16 Hans de Graaff
2019-11-06 18:11 Rick Farina
2019-11-02  8:51 Hans de Graaff
2019-11-02  5:40 Hans de Graaff
2018-12-28  7:25 Hans de Graaff
2018-02-10  7:42 Hans de Graaff
2017-08-24  5:49 Hans de Graaff
2017-08-24  5:49 Hans de Graaff
2016-10-30  6:42 Hans de Graaff
2016-03-28 22:05 Manuel Rüger
2015-11-29  7:29 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618732634.cac797460048000bb2e1a98f7a0b839783dfdfb4.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox